<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Dokumentacja klasy Shape</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('d7/da7/class_shape.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="#pro-static-attribs">Statyczne atrybuty chronione</a> &#124;
<a href="../../d0/d99/class_shape-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle">
<div class="title">Dokumentacja klasy Shape</div>  </div>
</div><!--header-->
<div class="contents">

<p>Modeluje pojęcie obiektu geometrycznego.  
 <a href="../../d7/da7/class_shape.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="../../da/dad/shape_8hh_source.html">shape.hh</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla Shape</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/ddd/class_shape__inherit__graph.png" border="0" usemap="#_shape_inherit__map" alt="Inheritance graph"/></div>
<map name="_shape_inherit__map" id="_shape_inherit__map">
<area shape="rect" title="Modeluje pojęcie obiektu geometrycznego." alt="" coords="104,5,167,32"/>
<area shape="rect" href="../../d8/dc1/classbottom_surface.html" title="Modeluje pojęcie powierzchmi dna." alt="" coords="5,155,124,181"/>
<area shape="rect" href="../../d2/d73/class_cuboid.html" title="Modeluje pojęcie prostopadłościanu." alt="" coords="102,80,169,107"/>
<area shape="rect" href="../../d0/ddf/classwater_surface.html" title="Modeluje pojęcie powierzchmi wody." alt="" coords="193,80,301,107"/>
<area shape="rect" href="../../d6/db5/class_scene.html" title="Modeluje pojęcie sceny." alt="" coords="149,229,210,256"/>
<area shape="rect" href="../../d5/d02/class_drone.html" title="Modeluje pojęcie drona." alt="" coords="149,155,210,181"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla Shape:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/da9/class_shape__coll__graph.png" border="0" usemap="#_shape_coll__map" alt="Collaboration graph"/></div>
<map name="_shape_coll__map" id="_shape_coll__map">
<area shape="rect" title="Modeluje pojęcie obiektu geometrycznego." alt="" coords="51,184,113,211"/>
<area shape="rect" href="../../d5/db2/class_vector.html" title=" " alt="" coords="5,95,159,121"/>
<area shape="rect" href="../../d5/db2/class_vector.html" title=" " alt="" coords="13,5,151,32"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:aaa8d87171e65e0d8ba3c5459978992a7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Shape</a> ()</td></tr>
<tr class="memdesc:aaa8d87171e65e0d8ba3c5459978992a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Konstruktor dla klasy <a class="el" href="../../d7/da7/class_shape.html" title="Modeluje pojęcie obiektu geometrycznego.">Shape</a>.  <a href="../../d7/da7/class_shape.html#aaa8d87171e65e0d8ba3c5459978992a7">Więcej...</a><br /></td></tr>
<tr class="separator:aaa8d87171e65e0d8ba3c5459978992a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a499ab02e6fd00d35c87e9409cab672dc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">translate</a> (const <a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;change)</td></tr>
<tr class="memdesc:a499ab02e6fd00d35c87e9409cab672dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Powiększa wektor przesunięcia.  <a href="../../d7/da7/class_shape.html#a499ab02e6fd00d35c87e9409cab672dc">Więcej...</a><br /></td></tr>
<tr class="separator:a499ab02e6fd00d35c87e9409cab672dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ab9606f25f5121c5d09e95de802f4c0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">writeAngle</a> (double change)</td></tr>
<tr class="memdesc:a4ab9606f25f5121c5d09e95de802f4c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Zapisuje kąt obrotu Jako parametr przyjmuje wartość kąta, a następnie powiększa kąt o jaki jest obrócony obiekt geometryczny o ten który podalismy.  <a href="../../d7/da7/class_shape.html#a4ab9606f25f5121c5d09e95de802f4c0">Więcej...</a><br /></td></tr>
<tr class="separator:a4ab9606f25f5121c5d09e95de802f4c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:a392923e3a75a0710056ca4770af77ddc"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">makeRadians</a> (double <a class="el" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a>) const</td></tr>
<tr class="memdesc:a392923e3a75a0710056ca4770af77ddc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Przelicza stopnie na radiany.  <a href="../../d7/da7/class_shape.html#a392923e3a75a0710056ca4770af77ddc">Więcej...</a><br /></td></tr>
<tr class="separator:a392923e3a75a0710056ca4770af77ddc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a555a7ac666dcb2bcd80c20371a54ce02"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a555a7ac666dcb2bcd80c20371a54ce02">fileName</a></td></tr>
<tr class="memdesc:a555a7ac666dcb2bcd80c20371a54ce02"><td class="mdescLeft">&#160;</td><td class="mdescRight">Nazwa pliku, w którym jest zapisany model obiektu geometrycznego.  <a href="../../d7/da7/class_shape.html#a555a7ac666dcb2bcd80c20371a54ce02">Więcej...</a><br /></td></tr>
<tr class="separator:a555a7ac666dcb2bcd80c20371a54ce02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a6c23c7dae9cfcdd93800c08968a921"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">translation</a></td></tr>
<tr class="memdesc:a5a6c23c7dae9cfcdd93800c08968a921"><td class="mdescLeft">&#160;</td><td class="mdescRight">Wektor przesunięcia obiektu.  <a href="../../d7/da7/class_shape.html#a5a6c23c7dae9cfcdd93800c08968a921">Więcej...</a><br /></td></tr>
<tr class="separator:a5a6c23c7dae9cfcdd93800c08968a921"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1642eab9d4f9d319a3d9a38d4a69cd90"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">angle</a></td></tr>
<tr class="memdesc:a1642eab9d4f9d319a3d9a38d4a69cd90"><td class="mdescLeft">&#160;</td><td class="mdescRight">Kąt obrócenia figury geometrycznej.  <a href="../../d7/da7/class_shape.html#a1642eab9d4f9d319a3d9a38d4a69cd90">Więcej...</a><br /></td></tr>
<tr class="separator:a1642eab9d4f9d319a3d9a38d4a69cd90"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-static-attribs"></a>
Statyczne atrybuty chronione</h2></td></tr>
<tr class="memitem:afeff37aabb0fa474e8820ad5372df342"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/da7/class_shape.html#afeff37aabb0fa474e8820ad5372df342">allCounter</a></td></tr>
<tr class="memdesc:afeff37aabb0fa474e8820ad5372df342"><td class="mdescLeft">&#160;</td><td class="mdescRight">Licznik utworzonych obiektów geometrycznych.  <a href="../../d7/da7/class_shape.html#afeff37aabb0fa474e8820ad5372df342">Więcej...</a><br /></td></tr>
<tr class="separator:afeff37aabb0fa474e8820ad5372df342"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock">
<p class="definition">Definicja w linii <a class="el" href="../../da/dad/shape_8hh_source.html#l00012">12</a> pliku <a class="el" href="../../da/dad/shape_8hh_source.html">shape.hh</a>.</p>
</div><h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="aaa8d87171e65e0d8ba3c5459978992a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa8d87171e65e0d8ba3c5459978992a7">&#9670;&nbsp;</a></span>Shape()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Shape::Shape </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../db/d87/shape_8cpp_source.html#l00003">3</a> pliku <a class="el" href="../../db/d87/shape_8cpp_source.html">shape.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a392923e3a75a0710056ca4770af77ddc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a392923e3a75a0710056ca4770af77ddc">&#9670;&nbsp;</a></span>makeRadians()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Shape::makeRadians </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>angle</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">angle</td><td>- wartość kąta </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Zwraca</dt><dd>double - wartość w radianach </dd></dl>

<p class="definition">Definicja w linii <a class="el" href="../../db/d87/shape_8cpp_source.html#l00007">7</a> pliku <a class="el" href="../../db/d87/shape_8cpp_source.html">shape.cpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/da7/class_shape_a392923e3a75a0710056ca4770af77ddc_icgraph.png" border="0" usemap="#d7/da7/class_shape_a392923e3a75a0710056ca4770af77ddc_icgraph" alt=""/></div>
<map name="d7/da7/class_shape_a392923e3a75a0710056ca4770af77ddc_icgraph" id="d7/da7/class_shape_a392923e3a75a0710056ca4770af77ddc_icgraph">
<area shape="rect" title="Przelicza stopnie na radiany." alt="" coords="641,5,800,32"/>
<area shape="rect" href="../../d5/d02/class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c" title="Wylicza wektor przesunięcia." alt="" coords="395,5,593,32"/>
<area shape="rect" href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4" title="Zadaje ruch na wprost Korzystając z funkcji, która wylicza wektor przesunięcia wykonuje ruch drona na..." alt="" coords="188,5,347,32"/>
<area shape="rect" href="../../d6/db5/class_scene.html#a45aadc8e5a63422972db07fd9b0e8b76" title="Realizuje animacje ruchu." alt="" coords="5,5,140,32"/>
</map>
</div>

</div>
</div>
<a id="a499ab02e6fd00d35c87e9409cab672dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a499ab02e6fd00d35c87e9409cab672dc">&#9670;&nbsp;</a></span>translate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Shape::translate </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> &amp;&#160;</td>
          <td class="paramname"><em>change</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">change</td><td>- wektor o jaki chcemy przesunąc </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="../../da/dad/shape_8hh_source.html#l00057">57</a> pliku <a class="el" href="../../da/dad/shape_8hh_source.html">shape.hh</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/da7/class_shape_a499ab02e6fd00d35c87e9409cab672dc_icgraph.png" border="0" usemap="#d7/da7/class_shape_a499ab02e6fd00d35c87e9409cab672dc_icgraph" alt=""/></div>
<map name="d7/da7/class_shape_a499ab02e6fd00d35c87e9409cab672dc_icgraph" id="d7/da7/class_shape_a499ab02e6fd00d35c87e9409cab672dc_icgraph">
<area shape="rect" title="Powiększa wektor przesunięcia." alt="" coords="395,5,523,32"/>
<area shape="rect" href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4" title="Zadaje ruch na wprost Korzystając z funkcji, która wylicza wektor przesunięcia wykonuje ruch drona na..." alt="" coords="188,5,347,32"/>
<area shape="rect" href="../../d6/db5/class_scene.html#a45aadc8e5a63422972db07fd9b0e8b76" title="Realizuje animacje ruchu." alt="" coords="5,5,140,32"/>
</map>
</div>

</div>
</div>
<a id="a4ab9606f25f5121c5d09e95de802f4c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ab9606f25f5121c5d09e95de802f4c0">&#9670;&nbsp;</a></span>writeAngle()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Shape::writeAngle </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>change</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<dl class="params"><dt>Parametry</dt><dd>
  <table class="params">
    <tr><td class="paramname">change</td><td>- kąt o jaki chcemy obrócic </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definicja w linii <a class="el" href="../../da/dad/shape_8hh_source.html#l00067">67</a> pliku <a class="el" href="../../da/dad/shape_8hh_source.html">shape.hh</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/da7/class_shape_a4ab9606f25f5121c5d09e95de802f4c0_icgraph.png" border="0" usemap="#d7/da7/class_shape_a4ab9606f25f5121c5d09e95de802f4c0_icgraph" alt=""/></div>
<map name="d7/da7/class_shape_a4ab9606f25f5121c5d09e95de802f4c0_icgraph" id="d7/da7/class_shape_a4ab9606f25f5121c5d09e95de802f4c0_icgraph">
<area shape="rect" title="Zapisuje kąt obrotu Jako parametr przyjmuje wartość kąta, a następnie powiększa kąt o jaki jest obróc..." alt="" coords="447,5,587,32"/>
<area shape="rect" href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413" title="Obraca drona o zadany kąt." alt="" coords="291,5,399,32"/>
<area shape="rect" href="../../d6/db5/class_scene.html#a0a3d83da2246b9e98c9e04cef38e1778" title="Realizuje animacje ruchu." alt="" coords="108,5,243,32"/>
<area shape="rect" href="../../df/d0a/main_8cpp.html#ae66f6b31b5ad750f1fe042a706a4e3d4" title=" " alt="" coords="5,5,60,32"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a1642eab9d4f9d319a3d9a38d4a69cd90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1642eab9d4f9d319a3d9a38d4a69cd90">&#9670;&nbsp;</a></span>angle</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double Shape::angle</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../da/dad/shape_8hh_source.html#l00029">29</a> pliku <a class="el" href="../../da/dad/shape_8hh_source.html">shape.hh</a>.</p>

</div>
</div>
<a id="afeff37aabb0fa474e8820ad5372df342"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afeff37aabb0fa474e8820ad5372df342">&#9670;&nbsp;</a></span>allCounter</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Shape::allCounter</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../da/dad/shape_8hh_source.html#l00035">35</a> pliku <a class="el" href="../../da/dad/shape_8hh_source.html">shape.hh</a>.</p>

</div>
</div>
<a id="a555a7ac666dcb2bcd80c20371a54ce02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a555a7ac666dcb2bcd80c20371a54ce02">&#9670;&nbsp;</a></span>fileName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string Shape::fileName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../da/dad/shape_8hh_source.html#l00018">18</a> pliku <a class="el" href="../../da/dad/shape_8hh_source.html">shape.hh</a>.</p>

</div>
</div>
<a id="a5a6c23c7dae9cfcdd93800c08968a921"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a6c23c7dae9cfcdd93800c08968a921">&#9670;&nbsp;</a></span>translation</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dca/_vector_8hh.html#a19c17db547a9edb84f3744b46edd4d41">Vector3D</a> Shape::translation</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="../../da/dad/shape_8hh_source.html#l00024">24</a> pliku <a class="el" href="../../da/dad/shape_8hh_source.html">shape.hh</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="../../da/dad/shape_8hh_source.html">shape.hh</a></li>
<li><a class="el" href="../../db/d87/shape_8cpp_source.html">shape.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d7/da7/class_shape.html">Shape</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
